For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTApprove/Reject time-off requests
      • DELCancel time-off request
      • POSTCreate time-off request
      • POSTExternal HR Time Off Synchronization
      • GETGet Profile Entitlements
      • GETGet Time Off Events for Profile
      • GETGet Work Schedule and Holidays
      • GETList policies
      • GETList time-off requests
      • GETList time-off requests for Organization
      • GETRetrieve policy validation templates
      • PATCHUpdate time-off request
      • POSTValidate time-off request
LogoLogo
SupportDeel Home
EndpointsTime Off

Approve/Reject time-off requests

POST
/time_offs/review
POST
/rest/v2/time_offs/review
$curl -X POST https://api.letsdeel.com/rest/v2/time_offs/review \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {
> "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
> "status": "APPROVED"
> }
> ]
>}'
1{
2 "data": {
3 "reviewed": [
4 {
5 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
6 "status": "APPROVED"
7 }
8 ],
9 "not_reviewed": [
10 {
11 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
12 "error": "Time off is not pending review"
13 }
14 ]
15 }
16}

Approves or rejects a batch of time-off requests in a single call. The desired status must be either APPROVED or REJECTED for each entry; the response distinguishes successfully processed requests from those that encountered errors. Token scopes: time-off:write

Was this page helpful?
Previous

Cancel time-off request

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
datalist of objectsRequired

Array of time-offs to be reviewed

Response

Review process completed successfully
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication